Bug 24627 - Correct style of clubs search results during hold process
Summary: Correct style of clubs search results during hold process
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-11 00:47 UTC by Kelly McElligott
Modified: 2020-04-10 16:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
select (82.52 KB, image/png)
2020-02-11 00:47 UTC, Kelly McElligott
Details
Bug 24627: Correct style of clubs search results during hold process (12.60 KB, patch)
2020-02-11 16:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24627: Correct style of clubs search results during hold process (12.60 KB, patch)
2020-03-03 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24627: Correct style of clubs search results during hold process (12.63 KB, patch)
2020-03-07 06:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 24627: Correct style of clubs search results during hold process (12.69 KB, patch)
2020-03-15 14:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-02-11 00:47:21 UTC
Created attachment 98686 [details]
select

In almost all places in Koha, when a user is given a list of options in the Hold Menu, the option to choose is indicated with either a button to pick or a circle to check.  This is indicating a choice has been made.  When picking which Club to place a book club book for, there is no indication, that a choice can be made.  Yes, the club can be chosen (by clicking the words) but it is not the usual way for Koha, and I think users will be confused. 

See screenshot.
Comment 1 Owen Leonard 2020-02-11 14:18:29 UTC
It is the usual way if we look at the way patrons are chosen from search results during the hold process. The difference is that search results table of Clubs doesn't have the hover style to help indicate that the rows are clickable.

I'm updating the but title to reflect this.
Comment 2 Kelly McElligott 2020-02-11 14:20:58 UTC
Thanks Owen!  I had a hard time figuring out the correct words to make this understandable.  If others don't have an issue with this way to click, that if fine, I felt it was odd.
Comment 3 Owen Leonard 2020-02-11 16:15:39 UTC Comment hidden (obsolete)
Comment 4 Lisette Scheer 2020-02-14 19:57:47 UTC
It works except 2 different links are generated for clubs. 
If you click directly on the club name, you get this:
http://localhost:8081/cgi-bin/koha/reserve/%2Fcgi-bin%2Fkoha%2Freserve%2Frequest.pl%3Fclub%3D2%26amp%3Bbiblionumber%3D6

If you click anywhere else on the table line you get this:
http://localhost:8081/cgi-bin/koha/reserve/request.pl?club=2&biblionumber=6

Only the 2nd one works for me.
Comment 5 Owen Leonard 2020-03-03 17:13:50 UTC
Created attachment 100043 [details] [review]
Bug 24627: Correct style of clubs search results during hold process

This patch updates some markup and CSS so that the process of selecting
a club from search results during the hold process looks the same as
when selecting a patron: Club names should be links (like patron
names are) and the table row should have a hover color to help indicate
that it is clickable.

This patch also changes the markup of the Patrons/Clubs tabs a little
bit to make the information clearer: Superfluous Bootstrap-related tab
markup has been removed, and the patron and club search results have
been moved into their respective tab containers. This means that if you
search for a patron but then switch to the clubs tab the patron list
doesn't still display.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - You should have more than one patron club defined.
 - Begin the process of placing a hold on a title.
 - Test the process of searching for both patrons and clubs.
   - In each case the name (patron or club) should be an active link.
   - Hovering your mouse over the table rows should change the row
     background to yellow.
   - Clicking the other tab at this stage should hide the search results
     from your last search.
   - Whether you click the linked name or elsewhere in the table row
     you should be correctly redirected to the next step in the holds
     process.
Comment 6 David Nind 2020-03-07 06:10:28 UTC
Created attachment 100306 [details] [review]
Bug 24627: Correct style of clubs search results during hold process

This patch updates some markup and CSS so that the process of selecting
a club from search results during the hold process looks the same as
when selecting a patron: Club names should be links (like patron
names are) and the table row should have a hover color to help indicate
that it is clickable.

This patch also changes the markup of the Patrons/Clubs tabs a little
bit to make the information clearer: Superfluous Bootstrap-related tab
markup has been removed, and the patron and club search results have
been moved into their respective tab containers. This means that if you
search for a patron but then switch to the clubs tab the patron list
doesn't still display.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - You should have more than one patron club defined.
 - Begin the process of placing a hold on a title.
 - Test the process of searching for both patrons and clubs.
   - In each case the name (patron or club) should be an active link.
   - Hovering your mouse over the table rows should change the row
     background to yellow.
   - Clicking the other tab at this stage should hide the search results
     from your last search.
   - Whether you click the linked name or elsewhere in the table row
     you should be correctly redirected to the next step in the holds
     process.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Katrin Fischer 2020-03-15 14:34:59 UTC
Created attachment 100701 [details] [review]
Bug 24627: Correct style of clubs search results during hold process

This patch updates some markup and CSS so that the process of selecting
a club from search results during the hold process looks the same as
when selecting a patron: Club names should be links (like patron
names are) and the table row should have a hover color to help indicate
that it is clickable.

This patch also changes the markup of the Patrons/Clubs tabs a little
bit to make the information clearer: Superfluous Bootstrap-related tab
markup has been removed, and the patron and club search results have
been moved into their respective tab containers. This means that if you
search for a patron but then switch to the clubs tab the patron list
doesn't still display.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - You should have more than one patron club defined.
 - Begin the process of placing a hold on a title.
 - Test the process of searching for both patrons and clubs.
   - In each case the name (patron or club) should be an active link.
   - Hovering your mouse over the table rows should change the row
     background to yellow.
   - Clicking the other tab at this stage should hide the search results
     from your last search.
   - Whether you click the linked name or elsewhere in the table row
     you should be correctly redirected to the next step in the holds
     process.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2020-03-16 11:03:22 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-04-03 17:36:21 UTC
Backported to 19.11.x branch for 19.11.05
Comment 10 Lucas Gass 2020-04-10 16:24:24 UTC
not needed in 19.05.x, no backport